
TARGET = QtKinectExample
TEMPLATE = app

HEADERS += QtKinectExample.h \
    QtKinect_global.h \
    QtKinect.h \
    callBacks.h

SOURCES += QtKinectExample.cpp main.cpp \
    QtKinect.cpp

FORMS    += QtKinectExample.ui

FREENECTPATH = "../libfreenect"

INCLUDEPATH +=  ../NITE-Bin-Dev-Linux-x64-v1.5.2.21/Include/ \
                $$FREENECTPATH/include/ \
                ../OpenNI/Include

LIBS += -L/usr/lib -lOpenNI \
        -lXnDeviceSensorV2KM -lXnCore -lXnFormats -lXnDDK \
        -lXnVNite_1_5_2 \
        -L$$FREENECTPATH/build/lib/ -lfreenect

OTHER_FILES += \
    configTracking.xml

RESOURCES += \
    res.qrc
